## class SG_EXPORT osg::TexEnvCombine

> TexEnvCombine - encapsulates the OpenGL glTexEnvCombine (texture environment) state

## Inheritance:

### Public Methods

TexEnvCombine()
TexEnvCombine(const TexEnvCombine& texenv, const CopyOp& copyop=CopyOp::SHALLOW_COPY)
  Copy constructor using CopyOp to manage deep vs shallow copy
META_StateAttribute(osg, TexEnvCombine, TEXENV)
virtual bool isTextureAttribute() const
virtual int compare(const StateAttribute& sa) const
  return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs
void setCombine_RGB(GLint cm)
void setCombine_Alpha(GLint cm)
GLint getCombine_RGB() const
GLint getCombine_Alpha() const
void setSource0_RGB(GLint sp)
void setSource1_RGB(GLint sp)
void setSource2_RGB(GLint sp)
void setSource0_Alpha(GLint sp)
void setSource1_Alpha(GLint sp)
void setSource2_Alpha(GLint sp)
GLint getSource0_RGB() const
GLint getSource1_RGB() const
GLint getSource2_RGB() const
GLint getSource0_Alpha() const
GLint getSource1_Alpha() const
GLint getSource2_Alpha() const
void setOperand0_RGB(GLint op)
void setOperand1_RGB(GLint op)
void setOperand2_RGB(GLint op)
void setOperand0_Alpha(GLint op)
void setOperand1_Alpha(GLint op)
void setOperand2_Alpha(GLint op)
GLint getOperand0_RGB() const
GLint getOperand1_RGB() const
GLint getOperand2_RGB() const
GLint getOperand0_Alpha() const
GLint getOperand1_Alpha() const
GLint getOperand2_Alpha() const
void setScale_RGB(float scale)
void setScale_Alpha(float scale)
float getScale_RGB() const
float getScale_Alpha() const
void setConstantColor( const Vec4& color )
const Vec4& getConstantColor() const
virtual void apply(State& state) const

### Public Members

enum CombineParam
enum SourceParam
enum OperandParam

### Protected Fields

bool _needsTexEnvCrossbar
GLint _combine_RGB
GLint _combine_Alpha
GLint _source0_RGB
GLint _source1_RGB
GLint _source2_RGB
GLint _source0_Alpha
GLint _source1_Alpha
GLint _source2_Alpha
GLint _operand0_RGB
GLint _operand1_RGB
GLint _operand2_RGB
GLint _operand0_Alpha
GLint _operand1_Alpha
GLint _operand2_Alpha
float _scale_RGB
float _scale_Alpha
osg::Vec4 _constantColor

### Protected Methods

virtual ~TexEnvCombine()
inline bool needsTexEnvCombiner(GLint value) const
void computeNeedoForTexEnvCombiners()

### Inherited from StateAttribute:

### Public Methods

virtual Object* cloneType() const
virtual Object* clone(const CopyOp&) const
virtual bool isSameKindAs(const Object* obj) const
virtual const char* libraryName() const
virtual const char* className() const
virtual Type getType() const
bool operator < (const StateAttribute& rhs) const
bool operator == (const StateAttribute& rhs) const
bool operator != (const StateAttribute& rhs) const
virtual void getAssociatedModes(std::vector<GLMode>& ) const
virtual void compile(State&) const

### Public Members

typedef GLenum GLMode
typedef unsigned int GLModeValue
typedef unsigned int OverrideValue
enum Values
typedef unsigned int Type
enum Types

### Inherited from Object:

### Public Methods

inline void setDataVariance(DataVariance dv)
inline DataVariance getDataVariance() const
inline void setUserData(Referenced* obj)
inline Referenced* getUserData()
inline const Referenced* getUserData() const

### Public Members

enum DataVariance

### Protected Fields

DataVariance _dataVariance
ref_ptr<Referenced> _userData

### Inherited from Referenced:

### Public Methods

inline Referenced& operator = (Referenced&)
static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

## Documentation

> TexEnvCombine - encapsulates the OpenGL glTexEnvCombine (texture environment) state

`TexEnvCombine()`

`TexEnvCombine(const TexEnvCombine& texenv, const CopyOp& copyop=CopyOp::SHALLOW_COPY)`
  Copy constructor using CopyOp to manage deep vs shallow copy

`META_StateAttribute(osg, TexEnvCombine, TEXENV)`

`virtual bool isTextureAttribute() const`

`virtual int compare(const StateAttribute& sa) const`
  return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs

`enum CombineParam`

`REPLACE`

`MODULATE`

`ADD`

`ADD_SIGNED`

`INTERPOLATE`

`SUBTRACT`

`DOT3_RGB`

`DOT3_RGBA`

`void setCombine_RGB(GLint cm)`

`void setCombine_Alpha(GLint cm)`

`GLint getCombine_RGB() const`

`GLint getCombine_Alpha() const`

`enum SourceParam`

`CONSTANT`

`PRIMARY_COLOR`

`PREVIOUS`

`TEXTURE`

`TEXTURE0`

`TEXTURE1`

`TEXTURE2`

`TEXTURE3`

`TEXTURE4`

`TEXTURE5`

`TEXTURE6`

`TEXTURE7`

`void setSource0_RGB(GLint sp)`

`void setSource1_RGB(GLint sp)`

`void setSource2_RGB(GLint sp)`

`void setSource0_Alpha(GLint sp)`

`void setSource1_Alpha(GLint sp)`

`void setSource2_Alpha(GLint sp)`

`GLint getSource0_RGB() const`

`GLint getSource1_RGB() const`

`GLint getSource2_RGB() const`

`GLint getSource0_Alpha() const`

`GLint getSource1_Alpha() const`

`GLint getSource2_Alpha() const`

`enum OperandParam`

`SRC_COLOR`

`ONE_MINUS_SRC_COLOR`

`SRC_ALPHA`

`ONE_MINUS_SRC_ALPHA`

`void setOperand0_RGB(GLint op)`

`void setOperand1_RGB(GLint op)`

`void setOperand2_RGB(GLint op)`

`void setOperand0_Alpha(GLint op)`

`void setOperand1_Alpha(GLint op)`

`void setOperand2_Alpha(GLint op)`

`GLint getOperand0_RGB() const`

`GLint getOperand1_RGB() const`

`GLint getOperand2_RGB() const`

`GLint getOperand0_Alpha() const`

`GLint getOperand1_Alpha() const`

`GLint getOperand2_Alpha() const`

`void setScale_RGB(float scale)`

`void setScale_Alpha(float scale)`

`float getScale_RGB() const`

`float getScale_Alpha() const`

`void setConstantColor( const Vec4& color )`

`const Vec4& getConstantColor() const`

`virtual void apply(State& state) const`

`virtual ~TexEnvCombine()`

`inline bool needsTexEnvCombiner(GLint value) const`

`void computeNeedoForTexEnvCombiners()`

`bool _needsTexEnvCrossbar`

`GLint _combine_RGB`

`GLint _combine_Alpha`

`GLint _source0_RGB`

`GLint _source1_RGB`

`GLint _source2_RGB`

`GLint _source0_Alpha`

`GLint _source1_Alpha`

`GLint _source2_Alpha`

`GLint _operand0_RGB`

`GLint _operand1_RGB`

`GLint _operand2_RGB`

`GLint _operand0_Alpha`

`GLint _operand1_Alpha`

`GLint _operand2_Alpha`

`float _scale_RGB`

`float _scale_Alpha`

`osg::Vec4 _constantColor`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.